// TrimFormatter
// Enleve les caractres espaces, tab , \r et \n des valeurs

class TrimFormatter  extends mx.data.binding.CustomFormatter {

	function format (value) : String {
		return this.trimSpacer(value);
	}

	function unformat(formattedValue) {
		return this.trimSpacer(formattedValue);
	} 
	
	function trimSpacer(str:String) : String {
		for (var i = 0; i < str.length && (str.charAt(i) == ' ' || str.charAt(i) == '\n' || str.charAt(i) == '\t' || str.charAt(i) == '\r'); i++);
		for (var j = str.length - 1; j >= i && (str.charAt(j) == ' ' || str.charAt(j) == '\n' || str.charAt(j) == '\t' || str.charAt(j) == '\r'); j--);
		return str.substring(i, ++j);
	}
}

